Page MenuHomePhabricator

Temporary Lift of IP Cap
Closed, ResolvedPublic

Description

My library is hosting a Wikipedia-Edit-A-Thon on Monday, January 15 from 8:30-9:30 and 2:45-3:45 central time as part of our campus' MLK Day programming. We expect around 30 people to attend each session.

The campus IP range is 138.129.*.* and we will be working with Wikipedia.

Here is the link to the page discussing the event. The session is described on the links to the concurrent sessions: https://www.concordiacollege.edu/studentlife/service-learning-leadership/student-government/martin-luther-king-jr-day/

Thank you for your help.

Jennie Archer
jarcher[à]cord.edu

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2017, 3:20 PM
Urbanecm claimed this task.Dec 14 2017, 3:55 PM
Urbanecm triaged this task as Medium priority.
Urbanecm added a subscriber: Urbanecm.

Hello Jennie,

can you tell me which Wikipedia you'll be working with? To explain: You will be able to work with any project, but you'll be able to create new accounts at project(s) you name, Wikimedia Commons and Wikidata.

Thank you for your work with the Editathon!

Martin Urbanec

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 14 2017, 3:55 PM

Hi Martin,

Thanks for your help. I’ll have attendees create accounts at Wikimedia Commons.

Jennie

From: Urbanecm [mailto:no-reply@phabricator.wikimedia.org]
Sent: Thursday, December 14, 2017 9:56 AM
To: Jennie Archer <jarcher@cord.edu>
Subject: [Maniphest] [Claimed] T182889: Temporary Lift of IP Cap

Urbanecm claimed this task.
Urbanecm triaged this task as "Normal" priority.
Urbanecm added a comment.
Herald added a project: User-Urbanecm.

Hello Jennie,

can you tell me which Wikipedia you'll be working with? To explain: You will be able to work with any project, but you'll be able to create new accounts at project(s) you name, Wikimedia Commons and Wikidata.

Thank you for your work with the Editathon!

Martin Urbanec

TASK DETAIL
https://phabricator.wikimedia.org/T182889

EMAIL PREFERENCES
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: Urbanecm
Cc: Urbanecm, Aklapper, Jarcher29, Jayprakash12345, Zoranzoki21, DatGuy, Devwaker, JEumerus, Tulsi_Bhagat, Wong128hk, Luke081515, SimmeD, biplabanand, Snowolf, Dcljr, Jdforrester-WMF, Matanya, Rxy, Jay8g, Krenair
*CAUTION: This email originated from an outside source. Do not click links or open attachments unless you know they are safe.*

Framawiki updated the task description. (Show Details)Dec 14 2017, 5:27 PM

Well we'll suppose that "The Wikipedia" means "English Wikipedia". @Jarcher29, I'm from the French WP and @Urbanecm the Czech one, it can be great to remember that Internet is a multilingual system :)

Yes, I meant, “English Wikipedia.” Sorry about that.

From: Framawiki [mailto:no-reply@phabricator.wikimedia.org]
Sent: Thursday, December 14, 2017 11:35 AM
To: Jennie Archer <jarcher@cord.edu>
Subject: [Maniphest] [Commented On] T182889: Temporary Lift of IP Cap

Framawiki added a comment.

Well we'll suppose that "The Wikipedia" means "English Wikipedia". @Jarcher29https://phabricator.wikimedia.org/p/Jarcher29/, I'm from the French WP and @Urbanecmhttps://phabricator.wikimedia.org/p/Urbanecm/ the Czech one, it can be great to remember that Internet is a multilingual system :)

TASK DETAIL
https://phabricator.wikimedia.org/T182889

EMAIL PREFERENCES
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: Urbanecm, Framawiki
Cc: Framawiki, Urbanecm, Aklapper, Jarcher29, Jayprakash12345, Zoranzoki21, DatGuy, Devwaker, JEumerus, Tulsi_Bhagat, Wong128hk, Luke081515, SimmeD, biplabanand, Snowolf, Dcljr, Jdforrester-WMF, Matanya, Rxy, Jay8g, Krenair
*CAUTION: This email originated from an outside source. Do not click links or open attachments unless you know they are safe.*

Change 398307 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Define new throttle rule

https://gerrit.wikimedia.org/r/398307

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Dec 14 2017, 6:40 PM
Urbanecm moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.

Thank you Jennie, that's all from you. I'll schedule the deployment for 2nd January 2018, 14:00-15:00 UTC (the EU SWAT).

Recapitulation

  • You will have a lift of IP cap in effect for Wikimedia Commons, the English Wikipedia and Wikidata
  • Your lift of IP cap will be in effect from 2018-01-15T8:15 -6:00 to 2018-01-15T16:00 -6:00
  • Your lift of IP cap will be in effect for 138.129.0.0/16 (all IPs starting with 138.129)
  • You will be able to create up to 40 accounts

If anything needs to be changed, please notify me till 2nd January 2018, 14:00 UTC by commenting in this ticket.

Happy Wikipedia's birthday!

Martin

Thank you so much, Martin. I appreciate your help. Happy Wikipedia’s birthday to you too!

Jennie

From: Urbanecm [mailto:no-reply@phabricator.wikimedia.org]
Sent: Thursday, December 14, 2017 12:45 PM
To: Jennie Archer <jarcher@cord.edu>
Subject: [Maniphest] [Commented On] T182889: Temporary Lift of IP Cap

Urbanecm added a comment.

Thank you Jennie, that's all from you. I'll schedule the deployment for 2nd January 2018, 14:00-15:00 UTC (the EU SWAT).

Recapitulation

  • You will have a lift of IP cap in effect for Wikimedia Commons, the English Wikipedia and Wikidata
  • Your lift of IP cap will be in effect from 2018-01-15T8:15 -6:00 to 2018-01-15T16:00 -6:00
  • Your lift of IP cap will be in effect for 138.129.0.0/16 (all IPs starting with 138.129)
  • You will be able to create up to 40 accounts

If anything needs to be changed, please notify me till 2nd January 2018, 14:00 UTC by commenting in this ticket.

Happy Wikipedia's birthday!

Martin

TASK DETAIL
https://phabricator.wikimedia.org/T182889

EMAIL PREFERENCES
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: Urbanecm
Cc: gerritbot, Framawiki, Urbanecm, Aklapper, Jarcher29, Cpaulf30, Baloch007, Lordiis, Adik2382, Jayprakash12345, Th3d3v1ls, Ramalepe, Liugev6, Zoranzoki21, Lewizho99, Maathavan, DatGuy, Devwaker, JEumerus, Tulsi_Bhagat, Wong128hk, Luke081515, SimmeD, biplabanand, Snowolf, Dcljr, Jdforrester-WMF, Matanya, Rxy, Jay8g, Krenair
*CAUTION: This email originated from an outside source. Do not click links or open attachments unless you know they are safe.*

Sorry, but this will be deployed now to expired rules can be removed from file to can be readable for adding new rules.

Change 398307 merged by jenkins-bot:
[operations/mediawiki-config@master] Define new throttle rule and cleaning expired rules

https://gerrit.wikimedia.org/r/398307

Zoranzoki21 closed this task as Resolved.Dec 14 2017, 7:42 PM

Mentioned in SAL (#wikimedia-operations) [2017-12-14T19:43:21Z] <thcipriani@tin> Synchronized wmf-config/throttle.php: SWAT: [[gerrit:398307|Define new throttle rule and cleaning expired rules]] T182889 (duration: 01m 08s)